Documentación / CRM / Comunicaciones
Comunicaciones
Cuentas de correo - Eliminar
DELETE /comm/correos/:tkUsuarioCorreo
Permite eliminar una cuenta de correo específica del sistema.
Tenga en cuenta que al ejecutar este método, se eliminará o reemplazará permanente el registro.
Parámetros Nombre Tipo Validación Descripción tkUsuarioCorreovarchar Código token que corresponde a una cuenta de correo configurada, registrada en el sistema, la cual se requiere eliminar.
Respuesta Nombre Tipo Descripción codeInteger Proporciona un código de verificación como respuesta. msgString Proporciona un mensaje descriptivo o razón dependiendo el resultado.
Solicitud
curl --request DELETE 'https://api.upnify.com/v4/comm/correos/00000000-0000-4000-8000-000000000010' \
--header 'token: 00000000-0000-4000-8000-000000000001' \
--header 'Content-Type: application/json' \
--data-raw '{}'const response = await fetch('https://api.upnify.com/v4/comm/correos/00000000-0000-4000-8000-000000000010', { method: 'DELETE', headers: { token: '00000000-0000-4000-8000-000000000001', 'Content-Type': 'application/json' }, body: JSON.stringify({}) });
console.log(await response.json());const response = await fetch('https://api.upnify.com/v4/comm/correos/00000000-0000-4000-8000-000000000010', { method: 'DELETE', headers: { token: '00000000-0000-4000-8000-000000000001', 'Content-Type': 'application/json' }, body: JSON.stringify({}) });
console.log(await response.json());import requests
response = requests.delete('https://api.upnify.com/v4/comm/correos/00000000-0000-4000-8000-000000000010', headers={'token':'00000000-0000-4000-8000-000000000001','Content-Type':'application/json'}, json={})
print(response.json())package main
import ("bytes"; "fmt"; "io"; "net/http")
func main() {
req, _ := http.NewRequest("DELETE", "https://api.upnify.com/v4/comm/correos/00000000-0000-4000-8000-000000000010", bytes.NewBufferString("{}"))
req.Header.Set("token", "00000000-0000-4000-8000-000000000001")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}using System.Net.Http;
using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("token", "00000000-0000-4000-8000-000000000001");
using var content = new StringContent("{}", Encoding.UTF8, "application/json");
var response = await client.DeleteAsync("https://api.upnify.com/v4/comm/correos/00000000-0000-4000-8000-000000000010", content);
Console.WriteLine(await response.Content.ReadAsStringAsync());
Respuesta
{
"code": 0,
"msg": "Ok"
}